Project

General

Profile

Bug #31558

Could not synchronize some repositories with error: Package matching query does not exist.

Added by Piotr Pietruszka over 1 year ago. Updated over 1 year ago.

Status:
Rejected
Priority:
High
Assignee:
-
Category:
Repositories
Target version:
Difficulty:
Triaged:
Yes
Bugzilla link:
Pull request:
Fixed in Releases:
Found in Releases:
Red Hat JIRA:

Description

Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: pulp: rq.worker:ERROR: Traceback (most recent call last):
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/backends/utils.py", line 84, in _execute
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: return self.cursor.execute(sql, params)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: psycopg2.errors.UniqueViolation: duplicate key value violates unique constraint "rpm_package_pkgId_key"
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: DETAIL: Key ("pkgId")=(ea48c7c0c61230641d627b66537ddd47a84f193e) already exists.
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: The above exception was the direct cause of the following exception:
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: Traceback (most recent call last):
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/content_stages.py", line 102, in run
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: d_content.content.save()
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/pulpcore/app/models/base.py", line 115, in save
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: return super().save(*args, **kwargs)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django_lifecycle/mixins.py", line 129, in save
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: save(*args, **kwargs)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/base.py", line 744, in save
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: force_update=force_update, update_fields=update_fields)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/base.py", line 782, in save_base
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: force_update, using, update_fields,
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/base.py", line 873, in _save_table
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: result = self._do_insert(cls._base_manager, using, fields, update_pk, raw)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/base.py", line 911, in _do_insert
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: using=using, raw=raw)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/manager.py", line 82, in manager_method
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: return getattr(self.get_queryset(), name)(*args, **kwargs)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/query.py", line 1186, in _insert
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: return query.get_compiler(using=using).execute_sql(return_id)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/sql/compiler.py", line 1377, in execute_sql
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: cursor.execute(sql, params)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/backends/utils.py", line 67, in execute
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: return self._execute_with_wrappers(sql, params, many=False, executor=self._execute)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/backends/utils.py", line 76, in _execute_with_wrappers
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: return executor(sql, params, many, context)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/backends/utils.py", line 84, in _execute
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: return self.cursor.execute(sql, params)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/utils.py", line 89, in exit
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: raise dj_exc_value.with_traceback(traceback) from exc_value
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/backends/utils.py", line 84, in _execute
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: return self.cursor.execute(sql, params)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: django.db.utils.IntegrityError: duplicate key value violates unique constraint "rpm_package_pkgId_key"
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: DETAIL: Key ("pkgId")=(ea48c7c0c61230641d627b66537ddd47a84f193e) already exists.
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: During handling of the above exception, another exception occurred:
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: Traceback (most recent call last):
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/rq/worker.py", line 936, in perform_job
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: rv = job.perform()
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/rq/job.py", line 684, in perform
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: self._result = self._execute()
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/rq/job.py", line 690, in _execute
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: return self.func(*self.args, **self.kwargs)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/pulp_rpm/app/tasks/synchronizing.py", line 266, in synchronize
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: dv.create()
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/declarative_version.py", line 148, in create
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: loop.run_until_complete(pipeline)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib64/python3.6/asyncio/base_events.py", line 484, in run_until_complete
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: return future.result()
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/api.py", line 225, in create_pipeline
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: await asyncio.gather(*futures)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/api.py", line 43, in call
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: await self.run()
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/content_stages.py", line 105, in run
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: d_content.content.q()
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/manager.py", line 82, in manager_method
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: return getattr(self.get_queryset(), name)(*args, **kwargs)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/query.py", line 408, in get
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: self.model._meta.object_name
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: pulp_rpm.app.models.package.Package.DoesNotExist: Package matching query does not exist.
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: Traceback (most recent call last):
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/backends/utils.py", line 84, in _execute
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: return self.cursor.execute(sql, params)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: psycopg2.errors.UniqueViolation: duplicate key value violates unique constraint "rpm_package_pkgId_key"
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: DETAIL: Key ("pkgId")=(ea48c7c0c61230641d627b66537ddd47a84f193e) already exists.
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: The above exception was the direct cause of the following exception:
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: Traceback (most recent call last):
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/content_stages.py", line 102, in run
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: d_content.content.save()
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/pulpcore/app/models/base.py", line 115, in save
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: return super().save(*args, **kwargs)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django_lifecycle/mixins.py", line 129, in save
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: save(*args, **kwargs)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/base.py", line 744, in save
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: force_update=force_update, update_fields=update_fields)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/base.py", line 782, in save_base
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: force_update, using, update_fields,
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/base.py", line 873, in _save_table
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: result = self._do_insert(cls._base_manager, using, fields, update_pk, raw)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/base.py", line 911, in _do_insert
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: using=using, raw=raw)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/manager.py", line 82, in manager_method
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: return getattr(self.get_queryset(), name)(*args, **kwargs)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/query.py", line 1186, in _insert
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: return query.get_compiler(using=using).execute_sql(return_id)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/sql/compiler.py", line 1377, in execute_sql
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: cursor.execute(sql, params)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/backends/utils.py", line 67, in execute
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: return self._execute_with_wrappers(sql, params, many=False, executor=self._execute)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/backends/utils.py", line 76, in _execute_with_wrappers
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: return executor(sql, params, many, context)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/backends/utils.py", line 84, in _execute
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: return self.cursor.execute(sql, params)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/utils.py", line 89, in exit
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: raise dj_exc_value.with_traceback(traceback) from exc_value
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/backends/utils.py", line 84, in _execute
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: return self.cursor.execute(sql, params)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: django.db.utils.IntegrityError: duplicate key value violates unique constraint "rpm_package_pkgId_key"
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: DETAIL: Key ("pkgId")=(ea48c7c0c61230641d627b66537ddd47a84f193e) already exists.
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: During handling of the above exception, another exception occurred:
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: Traceback (most recent call last):
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/rq/worker.py", line 936, in perform_job
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: rv = job.perform()
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/rq/job.py", line 684, in perform
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: self._result = self._execute()
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/rq/job.py", line 690, in _execute
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: return self.func(*self.args, **self.kwargs)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/pulp_rpm/app/tasks/synchronizing.py", line 266, in synchronize
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: dv.create()
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/declarative_version.py", line 148, in create
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: loop.run_until_complete(pipeline)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib64/python3.6/asyncio/base_events.py", line 484, in run_until_complete
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: return future.result()
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/api.py", line 225, in create_pipeline
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: await asyncio.gather(*futures)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/api.py", line 43, in call
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: await self.run()
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/content_stages.py", line 105, in run
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: d_content.content.q()
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/manager.py", line 82, in manager_method
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: return getattr(self.get_queryset(), name)(*args, **kwargs)
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/query.py", line 408, in get
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: self.model._meta.object_name
Dec 29 08:05:26 oplrepo-cpd-dmz pulpcore-worker-2: pulp_rpm.app.models.package.Package.DoesNotExist: Package matching query does not exist.


Related issues

Has duplicate Katello - Bug #31988: Could not synchronize some repositories with error: Package matching query does not exist.Duplicate

History

#1 Updated by Justin Sherrill over 1 year ago

  • Status changed from New to Need more information
  • Category set to Repositories

1. Were you syncing multiple repos at the same time?
2. If so, does re-syncing the failed repos one at a time fix it?
3. If that doesn't fix it, what repo were you syncing that hit this error?

#2 Updated by Piotr Pietruszka over 1 year ago

Syncing one repository at time doesn't fix it.
The problem occurs when in one repository a package has a sha checksum and in another repository the same package has a sha1 checksum.
This is due to my fix from Bug # 31559.
So the solution to that thread is not complete.

#3 Updated by Jonathon Turel over 1 year ago

  • Triaged changed from No to Yes
  • Status changed from Need more information to Resolved

Hey Piotr,

Since there's an open pulp issue related to your other Redmine still in progress I am going to close this one out until we've released a version of Katello with that pulp fix. Please re-open in the future if you continue to hit this.

#4 Updated by Piotr Pietruszka over 1 year ago

  • Found in Releases Katello 3.18.1 added
  • Found in Releases deleted (Katello 3.18.0)

This bug is still present in version 3.18.1:

Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-5: pulp: pulp_rpm.app.tasks.synchronizing:INFO: Synchronizing: repository=Red_Hat_Enterprise_Linux_7_Server_RPMs_x86_64_7_8-6502527 remote=Red_Hat_Enterprise_Linux_7_Server_RPMs_x86_64_7_8-6508768
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-resource-manager: pulp: rq.worker:INFO: resource-manager: 3e60d287-93f6-4819-809a-98e5263edd39
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-api: - - [01/Mar/2021:10:01:05 +0000] "PATCH /pulp/api/v3/distributions/rpm/rpm/87531415-bbbb-43ab-9c84-65e641665038/ HTTP/1.1" 202 67 "-" "OpenAPI-Generator/3.7.0/ruby"
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-1: pulp: rq.worker:INFO: : b14c5d8e-3d57-44e7-a290-94ed7b6fb557
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-resource-manager: pulp: rq.worker:INFO: resource-manager: Job OK (3e60d287-93f6-4819-809a-98e5263edd39)
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-api: - - [01/Mar/2021:10:01:05 +0000] "GET /pulp/api/v3/tasks/b14c5d8e-3d57-44e7-a290-94ed7b6fb557/ HTTP/1.1" 200 457 "-" "OpenAPI-Generator/3.7.1/ruby"
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-api: - - [01/Mar/2021:10:01:05 +0000] "GET /pulp/api/v3/status HTTP/1.1" 301 0 "-" "rest-client/2.0.2 (linux-gnu x86_64) ruby/2.5.5p157"
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-api: - - [01/Mar/2021:10:01:05 +0000] "GET /pulp/api/v3/tasks/2b3f6fad-b231-4867-8e96-8f24d0f08183/ HTTP/1.1" 200 606 "-" "OpenAPI-Generator/3.7.1/ruby"
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-api: - - [01/Mar/2021:10:01:05 +0000] "GET /pulp/api/v3/status/ HTTP/1.1" 200 2166 "-" "rest-client/2.0.2 (linux-gnu x86_64) ruby/2.5.5p157"
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-resource-manager: pulp: rq.worker:INFO: resource-manager: 15f781b6-40cb-42c5-9de4-048af9fdfe96
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-api: - - [01/Mar/2021:10:01:05 +0000] "POST /pulp/api/v3/repositories/rpm/rpm/95fa484e-12c8-4afa-abbe-fcaf564cc383/sync/ HTTP/1.1" 202 67 "-" "OpenAPI-Generator/3.7.0/ruby"
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-5: pulp: rq.worker:INFO: : Job OK (2b3f6fad-b231-4867-8e96-8f24d0f08183)
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: pulp: rq.worker:ERROR: Traceback (most recent call last):
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/backends/utils.py", line 84, in _execute
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: return self.cursor.execute(sql, params)
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: psycopg2.errors.UniqueViolation: duplicate key value violates unique constraint "rpm_package_pkgId_key"
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: DETAIL: Key ("pkgId")=(ea48c7c0c61230641d627b66537ddd47a84f193e) already exists.
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: The above exception was the direct cause of the following exception:
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: Traceback (most recent call last):
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/content_stages.py", line 102, in run
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: d_content.content.save()
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/pulpcore/app/models/base.py", line 115, in save
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: return super().save(*args, **kwargs)
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django_lifecycle/mixins.py", line 129, in save
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: save(*args, **kwargs)
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/base.py", line 744, in save
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: force_update=force_update, update_fields=update_fields)
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/base.py", line 782, in save_base
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: force_update, using, update_fields,
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/base.py", line 873, in _save_table
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: result = self._do_insert(cls._base_manager, using, fields, update_pk, raw)
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/base.py", line 911, in _do_insert
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: using=using, raw=raw)
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/manager.py", line 82, in manager_method
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: return getattr(self.get_queryset(), name)(*args, **kwargs)
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/query.py", line 1186, in _insert
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: return query.get_compiler(using=using).execute_sql(return_id)
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/sql/compiler.py", line 1377, in execute_sql
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: cursor.execute(sql, params)
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/backends/utils.py", line 67, in execute
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-api: - - [01/Mar/2021:10:01:05 +0000] "GET /pulp/api/v3/tasks/2bcb5ca0-9062-4338-ba73-dadbb05129fb/ HTTP/1.1" 200 525 "-" "OpenAPI-Generator/3.7.1/ruby"
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: return self._execute_with_wrappers(sql, params, many=False, executor=self._execute)
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/backends/utils.py", line 76, in _execute_with_wrappers
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: return executor(sql, params, many, context)
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/backends/utils.py", line 84, in _execute
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: return self.cursor.execute(sql, params)
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/utils.py", line 89, in exit
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: raise dj_exc_value.with_traceback(traceback) from exc_value
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/backends/utils.py", line 84, in _execute
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: return self.cursor.execute(sql, params)
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: django.db.utils.IntegrityError: duplicate key value violates unique constraint "rpm_package_pkgId_key"
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: DETAIL: Key ("pkgId")=(ea48c7c0c61230641d627b66537ddd47a84f193e) already exists.
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: During handling of the above exception, another exception occurred:
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: Traceback (most recent call last):
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/rq/worker.py", line 936, in perform_job
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: rv = job.perform()
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/rq/job.py", line 684, in perform
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: self._result = self._execute()
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/rq/job.py", line 690, in _execute
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: return self.func(*self.args, **self.kwargs)
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/pulp_rpm/app/tasks/synchronizing.py", line 266, in synchronize
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: dv.create()
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/declarative_version.py", line 148, in create
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: loop.run_until_complete(pipeline)
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib64/python3.6/asyncio/base_events.py", line 484, in run_until_complete
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: return future.result()
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/api.py", line 225, in create_pipeline
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: await asyncio.gather(*futures)
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/api.py", line 43, in call
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: await self.run()
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/content_stages.py", line 105, in run
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: d_content.content.q()
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/manager.py", line 82, in manager_method
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: return getattr(self.get_queryset(), name)(*args, **kwargs)
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/query.py", line 408, in get
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: self.model._meta.object_name
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: pulp_rpm.app.models.package.Package.DoesNotExist: Package matching query does not exist.
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: Traceback (most recent call last):
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/backends/utils.py", line 84, in _execute
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: return self.cursor.execute(sql, params)
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: psycopg2.errors.UniqueViolation: duplicate key value violates unique constraint "rpm_package_pkgId_key"
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: DETAIL: Key ("pkgId")=(ea48c7c0c61230641d627b66537ddd47a84f193e) already exists.
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: The above exception was the direct cause of the following exception:
Mar 1 11:01:05 oplrepo-cpd-dmz pulpcore-worker-2: Traceback (most recent call last):
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/content_stages.py", line 102, in run
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: d_content.content.save()
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/pulpcore/app/models/base.py", line 115, in save
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: return super().save(*args, **kwargs)
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django_lifecycle/mixins.py", line 129, in save
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: save(*args, **kwargs)
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/base.py", line 744, in save
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: force_update=force_update, update_fields=update_fields)
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/base.py", line 782, in save_base
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: force_update, using, update_fields,
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/base.py", line 873, in _save_table
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: result = self._do_insert(cls._base_manager, using, fields, update_pk, raw)
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/base.py", line 911, in _do_insert
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: using=using, raw=raw)
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/manager.py", line 82, in manager_method
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: return getattr(self.get_queryset(), name)(*args, **kwargs)
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/query.py", line 1186, in _insert
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-4: pulp: rq.worker:INFO: : 2bcb5ca0-9062-4338-ba73-dadbb05129fb
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: return query.get_compiler(using=using).execute_sql(return_id)
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/sql/compiler.py", line 1377, in execute_sql
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: cursor.execute(sql, params)
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/backends/utils.py", line 67, in execute
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: return self._execute_with_wrappers(sql, params, many=False, executor=self._execute)
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/backends/utils.py", line 76, in _execute_with_wrappers
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: return executor(sql, params, many, context)
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/backends/utils.py", line 84, in _execute
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: return self.cursor.execute(sql, params)
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/utils.py", line 89, in exit
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: raise dj_exc_value.with_traceback(traceback) from exc_value
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/backends/utils.py", line 84, in _execute
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: return self.cursor.execute(sql, params)
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: django.db.utils.IntegrityError: duplicate key value violates unique constraint "rpm_package_pkgId_key"
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: DETAIL: Key ("pkgId")=(ea48c7c0c61230641d627b66537ddd47a84f193e) already exists.
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: During handling of the above exception, another exception occurred:
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: Traceback (most recent call last):
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/rq/worker.py", line 936, in perform_job
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: rv = job.perform()
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/rq/job.py", line 684, in perform
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: self._result = self._execute()
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/rq/job.py", line 690, in _execute
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: return self.func(*self.args, **self.kwargs)
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/pulp_rpm/app/tasks/synchronizing.py", line 266, in synchronize
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: dv.create()
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/declarative_version.py", line 148, in create
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: loop.run_until_complete(pipeline)
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib64/python3.6/asyncio/base_events.py", line 484, in run_until_complete
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: return future.result()
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-1: pulp: rq.worker:INFO: : Job OK (b14c5d8e-3d57-44e7-a290-94ed7b6fb557)
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-resource-manager: pulp: rq.worker:INFO: resource-manager: Job OK (15f781b6-40cb-42c5-9de4-048af9fdfe96)
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/api.py", line 225, in create_pipeline
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: await asyncio.gather(*futures)
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/api.py", line 43, in call
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: await self.run()
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/content_stages.py", line 105, in run
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: d_content.content.q()
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/manager.py", line 82, in manager_method
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: return getattr(self.get_queryset(), name)(*args, **kwargs)
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: File "/usr/lib/python3.6/site-packages/django/db/models/query.py", line 408, in get
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: self.model._meta.object_name
Mar 1 11:01:06 oplrepo-cpd-dmz pulpcore-worker-2: pulp_rpm.app.models.package.Package.DoesNotExist: Package matching query does not exist.

#5 Updated by Jonathon Turel over 1 year ago

  • Triaged changed from Yes to No
  • Status changed from Resolved to New

#6 Updated by Chris Roberts over 1 year ago

  • Triaged changed from No to Yes
  • Target version set to Katello Recycle Bin
  • Status changed from New to Rejected

Hi Piotr,

It looks like the Pulp issue is still open and pending a fix:

https://pulp.plan.io/issues/7828

I am going to close this issue since it is being tracked from the Pulp team. If there is a Katello change that needs to happen, we will reopen this and associate a PR to it.

#7 Updated by Jonathon Turel about 1 year ago

  • Has duplicate Bug #31988: Could not synchronize some repositories with error: Package matching query does not exist. added

Also available in: Atom PDF